#!/usr/bin/env python3

# -*- coding: utf-8 -*-
from sklearn import neighbors
from sklearn.datasets import load_iris
irisData = load_iris()

X = irisData.data
Y = irisData.target

nb_voisins = 15
clf = neighbors.KNeighborsClassifier(nb_voisins)
clf.fit(X, Y)
print("kNN prediction on [5.4, 3.2, 1.6, 0.4]:")
print(clf.predict([[5.4, 3.2, 1.6, 0.4]]))
print("kNN probability prediction on [5.4, 3.2, 1.6, 0.4]:")
print(clf.predict_proba([[5.4, 3.2, 1.6, 0.4]]))
print("kNN score on Iris data:")
print(clf.score(X, Y))
print("kNN prediction error(s) on Iris data:")
Z = clf.predict(X)
print(X[Z != Y])
